List events
List events, newest first. Filters: `sale_status` (not_started, active, ended), `updated_since`, `created_since`.
List events, newest first.
Filters: sale_status (not_started, active, ended), updated_since, created_since.
Authorization
http In: header
Query Parameters
Value in
- "not_started"
- "active"
- "ended"
- null
Number of objects to return, 1 to 100.
25Cursor: the id of the last object of the previous page.
Only objects updated at or after this ISO 8601 time.
date-timeOnly objects created at or after this ISO 8601 time.
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/events"{ "object": "list", "url": "string", "has_more": true, "data": [ { "id": "string", "object": "event", "name": "string", "slug": "string", "starts_at": "string", "ends_at": "string", "is_whole_day": true, "sale_starts_at": "string", "sale_ends_at": "string", "sale_status": "not_started", "shop_url": "string", "location": { "name": "string", "address": "string", "latitude": 0, "longitude": 0 }, "website": "string", "default_language": "string", "available_languages": [ null ], "days": [ { "id": "string", "object": "event_day", "date": "string", "start_time": "string", "end_time": "string", "capacity": 0, "is_active": true } ], "created_at": "string", "updated_at": "string" } ]}Retrieve the current token GET
Describe the token making the request: its organization, owner, scopes and limits.
Create an event POST
Create an event. It gets the same defaults as an event created in the admin: default form fields, ticket group and tracker. Sale stays closed until you set `sale_starts_at`.